using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using VetClinicContracts.BindingModels;
using VetClinicContracts.SearchModels;
using VetClinicContracts.ViewModels;

namespace VetClinicContracts.BusinessLogicsContracts
{
	public interface IGuidanceLogic
	{
		List<GuidanceViewModel>? ReadList(GuidanceSearchModel? model);
		GuidanceViewModel? ReadElement(GuidanceSearchModel model);
		bool Create(GuidanceBindingModel model);
		bool Update(GuidanceBindingModel model);
		bool Delete(GuidanceBindingModel model);
	}
}
